Subject: Re: Command line option in addition to GUIX_PACKAGE_PATH - Reason?

From: zimoun <[email-masked]>
Date: Mon, 20 Jan 2020 17:21:26 +0100

On Sat, 18 Jan 2020 at 13:01, Pierre Neidhardt <[email-masked]> wrote:

> > Why are you the author of ee9a735bc8 [1]?
>
> Good question :(  My apologies, it seems that when I resolve the
> conflict your authorship was lost in the process.  Sorry about that.

You owe me a beer at Guix Days 1. ;-)

> > Why there are lines modified in guix.texi 21f4fbdd84 [2] which are not
> > in the original patch [3]?
>
> Hmmm... Looks like Emacs' ws-buttler had a hickup here.  I don't know
> why, sorry about that.

Well, you owe me a beer at Guix Days 2. ;-)

Yes, extra spaces had been introduced by these commits:
21531add320
83db0205060
The good point is now, it is fixed. ;-)

What I do not understand is: why 'ws-buttler' had a hiccup? Did you
modify my patch? I mean ws-buttler generally works by hooking
(before-save-hook), therefore to have a hiccup, 'ws-buttler' needed a
modification then a save, right? Why?

Thank you for reviewing and pushing.
I will remind that you owe me 2 belgian beers. ;-)

Cheers,
simon